Skip to content

Cancel Orders ​

Rate Limit: 10 req/sec/uid

Description ​

Cancel orders
Successful interface response is not necessarily equal to the success of the operation, please use the websocket push message as an accurate judgment of the success of the operation.

HTTP Request ​

  • POST /api/v1/futures/trade/cancel_orders

Request Parameters ​

ParameterTypeRequiredDescription
symbolstringtrueTrading pair
orderListlisttrueorder parameter list
orderIdstringfalseOrder ID
Either orderId or clientId is required. If both are entered, orderId prevails.
clientIdstringfalseCustomize order ID
Either orderId or clientId is required. If both are entered, orderId prevails.

Request Example

bash
curl -X 'POST'  --location 'https://fapi.bitunix.com/api/v1/futures/trade/cancel_orders' \
   -H "api-key:*******" \
   -H "sign:*" \
   -H "nonce:your-nonce" \
   -H "timestamp:1659076670000" \
   -H "language:en-US" \
   -H "Content-Type: application/json" \
 --data '{"symbol":"BTCUSDT","orderList":[{"orderId":"11111"},{"clientId":"22223"}]}'

Response Parameters ​

ParameterTypeDescription
successListlistSuccessful order list
>idstringorder id
>clientIdstringclient id
failureListlistFailed order list
>idstringorder id
>clientIdstringclient id
>errorMsgstringerror msg
>errorCodestringerror code

Response Example

json
{"code":0,"data":{"successList":[{"orderId":"11111","clientId":"22222"}],"failureList":[{"orderId":"11112","clientId":"22223","errorMsg":"Order status error","errorCode":10013}]},"msg":"Success"}